Subject: bug#78752: 31.0.50; New tex-mode prettify-symbols-mode rule causes visual regression

From: Tony Zorman <[email-masked]>
Date: Tue, 10 Jun 2025 22:04:31 +0200

On Tue, Jun 10 2025 20:11, Paul D. Nelson wrote:
> Tony Zorman <[email-masked]> writes:
>> ever since ef6203b64aaf (Extend prettify-symbols-alist in TeX mode)
>> 'tex--prettify-symbols-alist' contains the line
>>
>>     ("\\ " . 9141) ; Literal ?⎵ breaks indentation
>>
>> However, this is problematic and results in false positives
>> ...
>> While I agree that a double backslash not followed by a newline is
>> confusing, some of my coauthors don't
>
> ef6203b64aaf was my attempt to share the less controversial
> prettifications accumulated in my config, but I'm happy to "unshare"
> this one (attached patch) if it's causing false positives.

I would personally prefer this, but can also obviously adjust my own
config if needed (this change certainly isn't as bad as the long
established replacement of showing '\newline' as LINE SEPARATOR, making
it essentially invisible by default).

I'm a big fan of most of the other additions, btw, so thanks!

  Tony

-- 
Tony Zorman | https://tony-zorman.com